Subject: Re: [PATCH 1/6] gittutorial doc: replace "alice" and "bob" with "you" and "www-data"

From: Junio C Hamano <[email-masked]>
Date: Wed, 16 Jun 2021 13:50:28 +0900

Bagas Sanjaya <[email-masked]> writes:

>> +As the `www-data` user do:
>>    >   ------------------------------------------------
>> -bob$ git clone /home/alice/project myrepo
>> +www-data$ git clone /home/you/project /var/www-data/deployment
>>   ------------------------------------------------
>> 
>
> This assumes that we're on Debian or its derivatives, however many
> users run Git on other distributions (Fedora, Arch, Gentoo, openSUSE,
> etc.), so `www-data` user may not be present there. Also, `www-data`
> is system account, as opposed to normal user account, so you can't log
> in to it; you need as root `chown -R www-data:www-data /somewhere/`.
>
> This also assumes that we use Apache HTTPD. The setup for other
> webservers may be different. For example, if NGINX is used (installed 
> from upstream packages rather than from Debian package repository),
> you need to make site root (the path specified in `root` directive)
> readable by `nginx` user.

I do not see what is wrong with all of the above.

It is perfectly fine to assume that our readers are intelligent
enough to be able to guess from the above command line example that
contents for some webserver's htdocs directory is being prepared,
and the data is coming from /home/you/project repository.  It is not
a tutorial on "how to configure your webserver and deploy directly
to its htdocs", so lack of webserver specific configuration details
is _desirable_.

Having said all that, I still like my s/Alice/Tabby/; s/Bob/Fido/
mechanical replacement better ;-)